Kernel 4.2.X and 4.4.X - Fix USB3.0 link power management (LPM) claim/release logic in USBFS

Bug #1577024 reported by Matthew Giassa on 2016-04-30
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Unassigned
Vivid
Medium
Unassigned
Wily
Medium
Unassigned
Xenial
Medium
Unassigned

Bug Description

I am currently carrying out kernel testing and debugging with Alan Stern on the mainline kernel. Alan has proposed a patch to resolve a bug in USBFS that causes USB machine vision cameras to fail on kernels that contain the following patch:
    commit e951f84074b84a3f5aecbffd01da74576e0068d5
    Author: Lu Baolu <email address hidden>
    Date: Tue Jun 16 09:08:26 2015 +0800
    usb: core: lpm: set lpm_capable for root hub device
    commit 2d2a316765d956bc5cb6bb367b2ec52ca59ab8e9 upstream.

There is an issue in this patch that impacts software that rapidly issues claim/release calls in USBFS, and all of our customers that use Ubuntu 14.04.4 (kernel 4.2.x) and Ubuntu 16.04 (kernel 4.4.x) are unable to communicate with their machine vision cameras using our software stack.

The patch for the mainline kernel is being tested, and is currently posted, along with a history of this issue, at:
https://bugzilla.kernel.org/show_bug.cgi?id=115961

Right now, all of our customers have to either use an older kernel, or manually patch their own kernel with the fix provided by Alan if they are required to use a newer kernel. I am raising this bug so that, once the patch is submitted to the the mainline/linus series, it can be included in the next "monthly" kernel update made available to the general public, and so our customers can just run a normal "vanilla" system without having to rely on manually patching their kernel every time they need to update.

I can be contacted at:
<email address hidden>
<email address hidden>

Thank you.

ProblemType: Bug
DistroRelease: Ubuntu 14.04
Package: linux-image-3.13.0-55-generic 3.13.0-55.94
ProcVersionSignature: Ubuntu 3.13.0-55.94-generic 3.13.11-ckt20
Uname: Linux 3.13.0-55-generic i686
NonfreeKernelModules: nvidia
ApportVersion: 2.14.1-0ubuntu3.19
Architecture: i386
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: owner 4035 F.... pulseaudio
CurrentDesktop: Unity
Date: Sat Apr 30 10:36:15 2016
EcryptfsInUse: Yes
HibernationDevice: RESUME=UUID=0287e25d-68d6-4390-aced-c682b8e13b60
InstallationDate: Installed on 2013-09-23 (949 days ago)
InstallationMedia: Ubuntu 12.04.3 LTS "Precise Pangolin" - Release i386 (20130820.1)
IwConfig:
 lo no wireless extensions.

 cscotun0 no wireless extensions.

 eth0 no wireless extensions.
MachineType: Hewlett-Packard HP xw4600 Workstation
ProcFB:

ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.13.0-55-generic root=UUID=292845c9-c333-4592-aa06-bc01f45d3ee6 ro quiet splash
RelatedPackageVersions:
 linux-restricted-modules-3.13.0-55-generic N/A
 linux-backports-modules-3.13.0-55-generic N/A
 linux-firmware 1.127.19
RfKill:

SourcePackage: linux
UpgradeStatus: Upgraded to trusty on 2014-07-30 (639 days ago)
dmi.bios.date: 07/09/2012
dmi.bios.vendor: Hewlett-Packard
dmi.bios.version: 786F3 v01.34
dmi.board.asset.tag: CAC94101JZ
dmi.board.name: 0AA0h
dmi.board.vendor: Hewlett-Packard
dmi.chassis.asset.tag: CAC94101JZ
dmi.chassis.type: 6
dmi.chassis.vendor: Hewlett-Packard
dmi.modalias: dmi:bvnHewlett-Packard:bvr786F3v01.34:bd07/09/2012:svnHewlett-Packard:pnHPxw4600Workstation:pvr:rvnHewlett-Packard:rn0AA0h:rvr:cvnHewlett-Packard:ct6:cvr:
dmi.product.name: HP xw4600 Workstation
dmi.sys.vendor: Hewlett-Packard

Matthew Giassa (mgiassa) wrote :
Matthew Giassa (mgiassa) wrote :

Also, all of the attachments provided by the bug reporter are useless, as they do not relate to the issue at hand.

This change was made by a bot.

Changed in linux (Ubuntu):
status: New → Confirmed
Joseph Salisbury (jsalisbury) wrote :

Can you add a comment here when the patch makes it into mainline? We can then cherry-pick and SRU it.

tags: added: kernel-da-key
Changed in linux (Ubuntu):
status: Confirmed → Triaged
importance: Undecided → Medium
no longer affects: linux-image-4.2.0-rc7 (Ubuntu)
Changed in linux (Ubuntu Wily):
status: New → Triaged
Changed in linux (Ubuntu Xenial):
status: New → Triaged
Changed in linux (Ubuntu Wily):
importance: Undecided → Medium
Changed in linux (Ubuntu Xenial):
importance: Undecided → Medium
Download full text (5.5 KiB)

Sure thing.

Could you please add this to "Vivid"? It appears the latest kernel
release for 14.04.3 may now suffer from this issue too.

============================================================
Matthew Giassa, MASc, BASc, EIT
Security and Embedded Systems Specialist
linkedin: https://ca.linkedin.com/in/giassa
e-mail: <email address hidden>
website: www.giassa.net

> -------- Original Message --------
> Subject: [Bug 1577024] Re: Kernel 4.2.X and 4.4.X - Fix USB3.0 link
> power management (LPM) claim/release logic in USBFS
> From: Joseph Salisbury <email address hidden>
> Date: Thu, May 05, 2016 11:09 am
> To: <email address hidden>
>
>
> Can you add a comment here when the patch makes it into mainline? We
> can then cherry-pick and SRU it.
>
> ** Tags added: kernel-da-key
>
> ** Changed in: linux (Ubuntu)
> Status: Confirmed => Triaged
>
> ** Changed in: linux (Ubuntu)
> Importance: Undecided => Medium
>
> ** No longer affects: linux-image-4.2.0-rc7 (Ubuntu)
>
> ** Also affects: linux (Ubuntu Xenial)
> Importance: Undecided
> Status: New
>
> ** Also affects: linux (Ubuntu Wily)
> Importance: Undecided
> Status: New
>
> ** Changed in: linux (Ubuntu Wily)
> Status: New => Triaged
>
> ** Changed in: linux (Ubuntu Xenial)
> Status: New => Triaged
>
> ** Changed in: linux (Ubuntu Wily)
> Importance: Undecided => Medium
>
> ** Changed in: linux (Ubuntu Xenial)
> Importance: Undecided => Medium
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1577024
>
> Title:
> Kernel 4.2.X and 4.4.X - Fix USB3.0 link power management (LPM)
> claim/release logic in USBFS
>
> Status in linux package in Ubuntu:
> Triaged
> Status in linux source package in Wily:
> Triaged
> Status in linux source package in Xenial:
> Triaged
>
> Bug description:
> I am currently carrying out kernel testing and debugging with Alan Stern on the mainline kernel. Alan has proposed a patch to resolve a bug in USBFS that causes USB machine vision cameras to fail on kernels that contain the following patch:
> commit e951f84074b84a3f5aecbffd01da74576e0068d5
> Author: Lu Baolu <email address hidden>
> Date: Tue Jun 16 09:08:26 2015 +0800
> usb: core: lpm: set lpm_capable for root hub device
> commit 2d2a316765d956bc5cb6bb367b2ec52ca59ab8e9 upstream.
>
> There is an issue in this patch that impacts software that rapidly
> issues claim/release calls in USBFS, and all of our customers that use
> Ubuntu 14.04.4 (kernel 4.2.x) and Ubuntu 16.04 (kernel 4.4.x) are
> unable to communicate with their machine vision cameras using our
> software stack.
>
> The patch for the mainline kernel is being tested, and is currently posted, along with a history of this issue, at:
> https://bugzilla.kernel.org/show_bug.cgi?id=115961
>
> Right now, all of our customers have to either use an older kernel, or
> manually patch their own kernel with the fix provided by Alan if they
> are required to use a newer kernel. I am raising this bug so that,
> once the patch is submitted to the the mai...

Read more...

Changed in linux (Ubuntu Vivid):
status: New → Triaged
importance: Undecided → Medium
Matthew Giassa (mgiassa) wrote :

Patch is now in mainline. Pending the requisite testing carried out by Ubuntu team, may I please have this patch nominated for promotion to downstream jobs (ie: Xenial, Wily, and Vivid).

Thank you.

commit 6fb650d43da3e7054984dc548eaa88765a94d49f
Author: Alan Stern <email address hidden>
Date: Fri Apr 29 15:25:17 2016 -0400

    USB: leave LPM alone if possible when binding/unbinding interface drivers

    When a USB driver is bound to an interface (either through probing or
    by claiming it) or is unbound from an interface, the USB core always
    disables Link Power Management during the transition and then
    re-enables it afterward. The reason is because the driver might want
    to prevent hub-initiated link power transitions, in which case the HCD
    would have to recalculate the various LPM parameters. This
    recalculation takes place when LPM is re-enabled and the new
    parameters are sent to the device and its parent hub.

    However, if the driver does not want to prevent hub-initiated link
    power transitions then none of this work is necessary. The parameters
    don't need to be recalculated, and LPM doesn't need to be disabled and
    re-enabled.

    It turns out that disabling and enabling LPM can be time-consuming,
    enough so that it interferes with user programs that want to claim and
    release interfaces rapidly via usbfs. Since the usbfs kernel driver
    doesn't set the disable_hub_initiated_lpm flag, we can speed things up
    and get the user programs to work by leaving LPM alone whenever the
    flag isn't set.

    And while we're improving the way disable_hub_initiated_lpm gets used,
    let's also fix its kerneldoc.

    Signed-off-by: Alan Stern <email address hidden>
    Tested-by: Matthew Giassa <email address hidden>
    CC: Mathias Nyman <email address hidden>
    CC: <email address hidden>
    Signed-off-by: Greg Kroah-Hartman <email address hidden>

Tim Gardner (timg-tpi) wrote :
Changed in linux (Ubuntu Xenial):
status: Triaged → In Progress
Changed in linux (Ubuntu Wily):
status: Triaged → In Progress
Changed in linux (Ubuntu Vivid):
status: Triaged → In Progress
tags: added: patch
Changed in linux (Ubuntu Vivid):
status: In Progress → Fix Committed
Changed in linux (Ubuntu Wily):
status: In Progress → Fix Committed
Changed in linux (Ubuntu Xenial):
status: In Progress → Fix Committed
Matthew Giassa (mgiassa) wrote :
Download full text (4.7 KiB)

Thank you. I have one last question on this bug. Where can I find current information on merge window dates, etc? I'm trying to create a rough estimate as to when these changes will become part of a security update that gets auto deployed via the "software update" apt gui to desktop users.

Cheers.

============================================================
Matthew Giassa, MASc, BASc, EIT
Security and Embedded Systems Specialist
 linkedin: https://ca.linkedin.com/in/giassa
 e-mail:   <email address hidden>
 website:  www.giassa.net
  Original Message
From: Kamal Mostafa
Sent: Friday, May 27, 2016 7:05 AM
To: <email address hidden>
Reply To: Bug 1577024
Subject: [Bug 1577024] Re: Kernel 4.2.X and 4.4.X - Fix USB3.0 link power management (LPM) claim/release logic in USBFS

** Changed in: linux (Ubuntu Vivid)
Status: In Progress => Fix Committed

** Changed in: linux (Ubuntu Wily)
Status: In Progress => Fix Committed

** Changed in: linux (Ubuntu Xenial)
Status: In Progress => Fix Committed

--
You received this bug notification because you are subscribed to the bug
report.
https://bugs.launchpad.net/bugs/1577024

Title:
Kernel 4.2.X and 4.4.X - Fix USB3.0 link power management (LPM)
claim/release logic in USBFS

Status in linux package in Ubuntu:
Triaged
Status in linux source package in Vivid:
Fix Committed
Status in linux source package in Wily:
Fix Committed
Status in linux source package in Xenial:
Fix Committed

Bug description:
I am currently carrying out kernel testing and debugging with Alan Stern on the mainline kernel. Alan has proposed a patch to resolve a bug in USBFS that causes USB machine vision cameras to fail on kernels that contain the following patch:
commit e951f84074b84a3f5aecbffd01da74576e0068d5
Author: Lu Baolu <email address hidden>
Date: Tue Jun 16 09:08:26 2015 +0800
usb: core: lpm: set lpm_capable for root hub device
commit 2d2a316765d956bc5cb6bb367b2ec52ca59ab8e9 upstream.

There is an issue in this patch that impacts software that rapidly
issues claim/release calls in USBFS, and all of our customers that use
Ubuntu 14.04.4 (kernel 4.2.x) and Ubuntu 16.04 (kernel 4.4.x) are
unable to communicate with their machine vision cameras using our
software stack.

The patch for the mainline kernel is being tested, and is currently posted, along with a history of this issue, at:
https://bugzilla.kernel.org/show_bug.cgi?id=115961

Right now, all of our customers have to either use an older kernel, or
manually patch their own kernel with the fix provided by Alan if they
are required to use a newer kernel. I am raising this bug so that,
once the patch is submitted to the the mainline/linus series, it can
be included in the next "monthly" kernel update made available to the
general public, and so our customers can just run a normal "vanilla"
system without having to rely on manually patching their kernel every
time they need to update.

I can be contacted at:
<email address hidden>
<email address hidden>

Thank you.

ProblemType: Bug
DistroRelease: Ubuntu 14.04
Package: linux-image-3.13.0-55-generic 3.13.0-55.94
ProcVersionSignature: Ubuntu 3.13.0-55.94-generic 3.13.11-ckt20
Uname: Linux 3.13.0-55-generic i686
NonfreeKernelModule...

Read more...

Kamal Mostafa (kamalmostafa) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-vivid' to 'verification-done-vivid'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-vivid
tags: added: verification-needed-wily
Kamal Mostafa (kamalmostafa) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-wily' to 'verification-done-wily'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-xenial
Kamal Mostafa (kamalmostafa) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-xenial' to 'verification-done-xenial'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

Matthew Giassa (mgiassa) wrote :
Download full text (5.2 KiB)

Tested successfully. Tags updated as requested.

Thank you.

============================================================
Matthew Giassa, MASc, BASc, EIT
Security and Embedded Systems Specialist
linkedin: https://ca.linkedin.com/in/giassa
e-mail: <email address hidden>
website: www.giassa.net

> -------- Original Message --------
> Subject: [Bug 1577024] Re: Kernel 4.2.X and 4.4.X - Fix USB3.0 link
> power management (LPM) claim/release logic in USBFS
> From: Kamal Mostafa <email address hidden>
> Date: Tue, June 14, 2016 7:21 am
> To: <email address hidden>
>
>
> This bug is awaiting verification that the kernel in -proposed solves
> the problem. Please test the kernel and update this bug with the
> results. If the problem is solved, change the tag 'verification-needed-
> xenial' to 'verification-done-xenial'.
>
> If verification is not done by 5 working days from today, this fix will
> be dropped from the source code, and this bug will be closed.
>
> See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how
> to enable and use -proposed. Thank you!
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1577024
>
> Title:
> Kernel 4.2.X and 4.4.X - Fix USB3.0 link power management (LPM)
> claim/release logic in USBFS
>
> Status in linux package in Ubuntu:
> Triaged
> Status in linux source package in Vivid:
> Fix Committed
> Status in linux source package in Wily:
> Fix Committed
> Status in linux source package in Xenial:
> Fix Committed
>
> Bug description:
> I am currently carrying out kernel testing and debugging with Alan Stern on the mainline kernel. Alan has proposed a patch to resolve a bug in USBFS that causes USB machine vision cameras to fail on kernels that contain the following patch:
> commit e951f84074b84a3f5aecbffd01da74576e0068d5
> Author: Lu Baolu <email address hidden>
> Date: Tue Jun 16 09:08:26 2015 +0800
> usb: core: lpm: set lpm_capable for root hub device
> commit 2d2a316765d956bc5cb6bb367b2ec52ca59ab8e9 upstream.
>
> There is an issue in this patch that impacts software that rapidly
> issues claim/release calls in USBFS, and all of our customers that use
> Ubuntu 14.04.4 (kernel 4.2.x) and Ubuntu 16.04 (kernel 4.4.x) are
> unable to communicate with their machine vision cameras using our
> software stack.
>
> The patch for the mainline kernel is being tested, and is currently posted, along with a history of this issue, at:
> https://bugzilla.kernel.org/show_bug.cgi?id=115961
>
> Right now, all of our customers have to either use an older kernel, or
> manually patch their own kernel with the fix provided by Alan if they
> are required to use a newer kernel. I am raising this bug so that,
> once the patch is submitted to the the mainline/linus series, it can
> be included in the next "monthly" kernel update made available to the
> general public, and so our customers can just run a normal "vanilla"
> system without having to rely on manually patching their kernel every
> time they need to update.
>
> I can be contacted at:
> <email address hidden>
>...

Read more...

tags: added: verification-done-vivid verification-done-wily verification-done-xenial
removed: verification-needed-vivid verification-needed-wily verification-needed-xenial
Launchpad Janitor (janitor) wrote :
Download full text (24.1 KiB)

This bug was fixed in the package linux - 4.4.0-25.44

---------------
linux (4.4.0-25.44) xenial; urgency=low

  [ Kamal Mostafa ]

  * Release Tracking Bug
    - LP: #1591289

  * Xenial update to v4.4.13 stable release (LP: #1590455)
    - MIPS64: R6: R2 emulation bugfix
    - MIPS: math-emu: Fix jalr emulation when rd == $0
    - MIPS: MSA: Fix a link error on `_init_msa_upper' with older GCC
    - MIPS: Don't unwind to user mode with EVA
    - MIPS: Avoid using unwind_stack() with usermode
    - MIPS: Fix siginfo.h to use strict posix types
    - MIPS: Fix uapi include in exported asm/siginfo.h
    - MIPS: Fix watchpoint restoration
    - MIPS: Flush highmem pages in __flush_dcache_page
    - MIPS: Handle highmem pages in __update_cache
    - MIPS: Sync icache & dcache in set_pte_at
    - MIPS: ath79: make bootconsole wait for both THRE and TEMT
    - MIPS: Reserve nosave data for hibernation
    - MIPS: Loongson-3: Reserve 32MB for RS780E integrated GPU
    - MIPS: Use copy_s.fmt rather than copy_u.fmt
    - MIPS: Fix MSA ld_*/st_* asm macros to use PTR_ADDU
    - MIPS: Prevent "restoration" of MSA context in non-MSA kernels
    - MIPS: Disable preemption during prctl(PR_SET_FP_MODE, ...)
    - MIPS: ptrace: Fix FP context restoration FCSR regression
    - MIPS: ptrace: Prevent writes to read-only FCSR bits
    - MIPS: Fix sigreturn via VDSO on microMIPS kernel
    - MIPS: Build microMIPS VDSO for microMIPS kernels
    - MIPS: lib: Mark intrinsics notrace
    - MIPS: VDSO: Build with `-fno-strict-aliasing'
    - affs: fix remount failure when there are no options changed
    - ASoC: ak4642: Enable cache usage to fix crashes on resume
    - Input: uinput - handle compat ioctl for UI_SET_PHYS
    - ARM: mvebu: fix GPIO config on the Linksys boards
    - ARM: dts: at91: fix typo in sama5d2 PIN_PD24 description
    - ARM: dts: exynos: Add interrupt line to MAX8997 PMIC on exynos4210-trats
    - ARM: dts: imx35: restore existing used clock enumeration
    - ath9k: Add a module parameter to invert LED polarity.
    - ath9k: Fix LED polarity for some Mini PCI AR9220 MB92 cards.
    - ath10k: fix debugfs pktlog_filter write
    - ath10k: fix firmware assert in monitor mode
    - ath10k: fix rx_channel during hw reconfigure
    - ath10k: fix kernel panic, move arvifs list head init before htt init
    - ath5k: Change led pin configuration for compaq c700 laptop
    - hwrng: exynos - Fix unbalanced PM runtime put on timeout error path
    - rtlwifi: rtl8723be: Add antenna select module parameter
    - rtlwifi: btcoexist: Implement antenna selection
    - rtlwifi: Fix logic error in enter/exit power-save mode
    - rtlwifi: pci: use dev_kfree_skb_irq instead of kfree_skb in
      rtl_pci_reset_trx_ring
    - aacraid: Relinquish CPU during timeout wait
    - aacraid: Fix for aac_command_thread hang
    - aacraid: Fix for KDUMP driver hang
    - hwmon: (ads7828) Enable internal reference
    - mfd: intel-lpss: Save register context on suspend
    - mfd: intel_soc_pmic_core: Terminate panel control GPIO lookup table
      correctly
    - PM / Runtime: Fix error path in pm_runtime_force_resume()
    - cpuidle: Indicate when a device has been unregiste...

Changed in linux (Ubuntu):
status: Triaged → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (26.1 KiB)

This bug was fixed in the package linux - 4.4.0-28.47

---------------
linux (4.4.0-28.47) xenial; urgency=low

  [ Luis Henriques ]

  * Release Tracking Bug
    - LP: #1595874

  * Linux netfilter local privilege escalation issues (LP: #1595350)
    - netfilter: x_tables: don't move to non-existent next rule
    - netfilter: x_tables: validate targets of jumps
    - netfilter: x_tables: add and use xt_check_entry_offsets
    - netfilter: x_tables: kill check_entry helper
    - netfilter: x_tables: assert minimum target size
    - netfilter: x_tables: add compat version of xt_check_entry_offsets
    - netfilter: x_tables: check standard target size too
    - netfilter: x_tables: check for bogus target offset
    - netfilter: x_tables: validate all offsets and sizes in a rule
    - netfilter: x_tables: don't reject valid target size on some architectures
    - netfilter: arp_tables: simplify translate_compat_table args
    - netfilter: ip_tables: simplify translate_compat_table args
    - netfilter: ip6_tables: simplify translate_compat_table args
    - netfilter: x_tables: xt_compat_match_from_user doesn't need a retval
    - netfilter: x_tables: do compat validation via translate_table
    - netfilter: x_tables: introduce and use xt_copy_counters_from_user

  * Linux netfilter IPT_SO_SET_REPLACE memory corruption (LP: #1555338)
    - netfilter: x_tables: validate e->target_offset early
    - netfilter: x_tables: make sure e->next_offset covers remaining blob size
    - netfilter: x_tables: fix unconditional helper

linux (4.4.0-27.46) xenial; urgency=low

  [ Kamal Mostafa ]

  * Release Tracking Bug
    - LP: #1594906

  * Support Edge Gateway's Bluetooth LED (LP: #1512999)
    - Revert "UBUNTU: SAUCE: Bluetooth: Support for LED on Marvell modules"

linux (4.4.0-26.45) xenial; urgency=low

  [ Kamal Mostafa ]

  * Release Tracking Bug
    - LP: #1594442

  * linux: Implement secure boot state variables (LP: #1593075)
    - SAUCE: UEFI: Add secure boot and MOK SB State disabled sysctl

  * failures building userspace packages that include ethtool.h (LP: #1592930)
    - ethtool.h: define INT_MAX for userland

linux (4.4.0-25.44) xenial; urgency=low

  [ Kamal Mostafa ]

  * Release Tracking Bug
    - LP: #1591289

  * Xenial update to v4.4.13 stable release (LP: #1590455)
    - MIPS64: R6: R2 emulation bugfix
    - MIPS: math-emu: Fix jalr emulation when rd == $0
    - MIPS: MSA: Fix a link error on `_init_msa_upper' with older GCC
    - MIPS: Don't unwind to user mode with EVA
    - MIPS: Avoid using unwind_stack() with usermode
    - MIPS: Fix siginfo.h to use strict posix types
    - MIPS: Fix uapi include in exported asm/siginfo.h
    - MIPS: Fix watchpoint restoration
    - MIPS: Flush highmem pages in __flush_dcache_page
    - MIPS: Handle highmem pages in __update_cache
    - MIPS: Sync icache & dcache in set_pte_at
    - MIPS: ath79: make bootconsole wait for both THRE and TEMT
    - MIPS: Reserve nosave data for hibernation
    - MIPS: Loongson-3: Reserve 32MB for RS780E integrated GPU
    - MIPS: Use copy_s.fmt rather than copy_u.fmt
    - MIPS: Fix MSA ld_*/st_* asm macros to use PTR_ADDU
    - MIPS: Prevent "restoration" of MSA c...

Changed in linux (Ubuntu Xenial):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (7.4 KiB)

This bug was fixed in the package linux - 4.2.0-41.48

---------------
linux (4.2.0-41.48) wily; urgency=low

  [ Luis Henriques ]

  * Release Tracking Bug
    - LP: #1595914

  [ Upstream Kernel Changes ]

  * netfilter: x_tables: validate e->target_offset early
    - LP: #1555338
    - CVE-2016-3134
  * netfilter: x_tables: make sure e->next_offset covers remaining blob
    size
    - LP: #1555338
    - CVE-2016-3134
  * netfilter: x_tables: fix unconditional helper
    - LP: #1555338
    - CVE-2016-3134
  * netfilter: x_tables: don't move to non-existent next rule
    - LP: #1595350
  * netfilter: x_tables: validate targets of jumps
    - LP: #1595350
  * netfilter: x_tables: add and use xt_check_entry_offsets
    - LP: #1595350
  * netfilter: x_tables: kill check_entry helper
    - LP: #1595350
  * netfilter: x_tables: assert minimum target size
    - LP: #1595350
  * netfilter: x_tables: add compat version of xt_check_entry_offsets
    - LP: #1595350
  * netfilter: x_tables: check standard target size too
    - LP: #1595350
  * netfilter: x_tables: check for bogus target offset
    - LP: #1595350
  * netfilter: x_tables: validate all offsets and sizes in a rule
    - LP: #1595350
  * netfilter: x_tables: don't reject valid target size on some
    architectures
    - LP: #1595350
  * netfilter: arp_tables: simplify translate_compat_table args
    - LP: #1595350
  * netfilter: ip_tables: simplify translate_compat_table args
    - LP: #1595350
  * netfilter: ip6_tables: simplify translate_compat_table args
    - LP: #1595350
  * netfilter: x_tables: xt_compat_match_from_user doesn't need a retval
    - LP: #1595350
  * netfilter: x_tables: do compat validation via translate_table
    - LP: #1595350
  * netfilter: x_tables: introduce and use xt_copy_counters_from_user
    - LP: #1595350

linux (4.2.0-40.47) wily; urgency=low

  [ Kamal Mostafa ]

  * Release Tracking Bug
    - LP: #1595725

  [ Serge Hallyn ]

  * SAUCE: add a sysctl to disable unprivileged user namespace unsharing
    - LP: #1555338, #1595350

linux (4.2.0-39.46) wily; urgency=low

  [ Kamal Mostafa ]

  * Release Tracking Bug
    - LP: #1591301

  [ J. R. Okajima ]

  * SAUCE: AUFS: mm/mmap: fix oopsing on remap_file_pages aufs mmap:
    bugfix, mainly for linux-4.5-rc5, remap_file_pages(2) emulation
    - LP: #1558120

  [ Kamal Mostafa ]

  * [debian] getabis: Only git add $abidir if running in local repo
    - LP: #1584890
  * [debian] getabis: Fix inconsistent compiler versions check
    - LP: #1584890

  [ Tim Gardner ]

  * Revert "SAUCE: mm/mmap: fix oopsing on remap_file_pages"
    - LP: #1558120
  * [Config] Remove arc4 from nic-modules
    - LP: #1582991

  [ Upstream Kernel Changes ]

  * Revert "usb: hub: do not clear BOS field during reset device"
    - LP: #1582864
  * hpsa: move lockup_detected attribute to host attr
    - LP: #1581169
  * ALSA: timer: Fix leak in SNDRV_TIMER_IOCTL_PARAMS
    - LP: #1580379
    - CVE-2016-4569
  * ALSA: timer: Fix leak in events via snd_timer_user_ccallback
    - LP: #1581866
    - CVE-2016-4578
  * ALSA: timer: Fix leak in events via snd_timer_user_tinterrupt
    - LP: #1581866
    - CVE-2016-4578
  * net: fix a kernel inf...

Read more...

Changed in linux (Ubuntu Wily):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (6.2 KiB)

This bug was fixed in the package linux - 3.19.0-64.72

---------------
linux (3.19.0-64.72) vivid; urgency=low

  [ Luis Henriques ]

  * Release Tracking Bug
    - LP: #1595976

  [ Upstream Kernel Changes ]

  * netfilter: x_tables: validate e->target_offset early
    - LP: #1555338
    - CVE-2016-3134
  * netfilter: x_tables: make sure e->next_offset covers remaining blob
    size
    - LP: #1555338
    - CVE-2016-3134
  * netfilter: x_tables: fix unconditional helper
    - LP: #1555338
    - CVE-2016-3134
  * netfilter: x_tables: don't move to non-existent next rule
    - LP: #1595350
  * netfilter: x_tables: validate targets of jumps
    - LP: #1595350
  * netfilter: x_tables: add and use xt_check_entry_offsets
    - LP: #1595350
  * netfilter: x_tables: kill check_entry helper
    - LP: #1595350
  * netfilter: x_tables: assert minimum target size
    - LP: #1595350
  * netfilter: x_tables: add compat version of xt_check_entry_offsets
    - LP: #1595350
  * netfilter: x_tables: check standard target size too
    - LP: #1595350
  * netfilter: x_tables: check for bogus target offset
    - LP: #1595350
  * netfilter: x_tables: validate all offsets and sizes in a rule
    - LP: #1595350
  * netfilter: x_tables: don't reject valid target size on some
    architectures
    - LP: #1595350
  * netfilter: arp_tables: simplify translate_compat_table args
    - LP: #1595350
  * netfilter: ip_tables: simplify translate_compat_table args
    - LP: #1595350
  * netfilter: ip6_tables: simplify translate_compat_table args
    - LP: #1595350
  * netfilter: x_tables: xt_compat_match_from_user doesn't need a retval
    - LP: #1595350
  * netfilter: x_tables: do compat validation via translate_table
    - LP: #1595350
  * netfilter: x_tables: introduce and use xt_copy_counters_from_user
    - LP: #1595350

linux (3.19.0-63.71) vivid; urgency=low

  [ Kamal Mostafa ]

  * Release Tracking Bug
    - LP: #1595723

  [ Serge Hallyn ]

  * SAUCE: add a sysctl to disable unprivileged user namespace unsharing
    - LP: #1555338, #1595350

linux (3.19.0-62.70) vivid; urgency=low

  [ Kamal Mostafa ]

  * Release Tracking Bug
    - LP: #1591307

  [ Kamal Mostafa ]

  * [debian] getabis: Only git add $abidir if running in local repo
    - LP: #1584890
  * [debian] getabis: Fix inconsistent compiler versions check
    - LP: #1584890

  [ Tim Gardner ]

  * [Config] Remove arc4 from nic-modules
    - LP: #1582991

  [ Upstream Kernel Changes ]

  * Revert "usb: hub: do not clear BOS field during reset device"
    - LP: #1582864
  * ALSA: timer: Fix leak in SNDRV_TIMER_IOCTL_PARAMS
    - LP: #1580379
    - CVE-2016-4569
  * ALSA: timer: Fix leak in events via snd_timer_user_ccallback
    - LP: #1581866
    - CVE-2016-4578
  * ALSA: timer: Fix leak in events via snd_timer_user_tinterrupt
    - LP: #1581866
    - CVE-2016-4578
  * net: fix a kernel infoleak in x25 module
    - LP: #1585366
    - CVE-2016-4580
  * get_rock_ridge_filename(): handle malformed NM entries
    - LP: #1583962
    - CVE-2016-4913
  * tipc: check nl sock before parsing nested attributes
    - LP: #1585365
    - CVE-2016-4951
  * netfilter: Set /proc/net entries owner to root in namespace
    - L...

Read more...

Changed in linux (Ubuntu Vivid):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.